xcb_raw_generic_event_t Struct Reference
XCB Core API

Raw Generic event. More...

`#include <xcb.h>`

## Data Fields

uint8_t | response_type
uint8_t | pad0
uint16_t | sequence
uint32_t | pad [7]

## Detailed Description

Raw Generic event.

A generic event structure as used on the wire, i.e., without the full_sequence field

## Field Documentation

## pad

uint32_t xcb_raw_generic_event_t::pad[7]

Padding

## pad0

uint8_t xcb_raw_generic_event_t::pad0

Padding

## response_type

uint8_t xcb_raw_generic_event_t::response_type

Type of the response

## sequence

uint16_t xcb_raw_generic_event_t::sequence

Sequence number

The documentation for this struct was generated from the following file:

- xcb.h